using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Runtime.Serialization;
using Syncfusion.Windows.Forms.Tools;
using System.IO;

namespace CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
           
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.dockingManager1.DockControl(panel1, this, DockingStyle.Top, 200);
            this.dockingManager1.DockControl(panel2, this.panel1, DockingStyle.Tabbed, 200);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            // Saving dockstate to memory stream  
            MemoryStream ms = new MemoryStream();
            AppStateSerializer aser = new AppStateSerializer(SerializeMode.BinaryFmtStream, ms);
            this.dockingManager1.SaveDockState(aser);
            aser.PersistNow();
            //Code to store the memory stream into database.Depends upon the database 
            MessageBox.Show("Saved in DB"); 
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //Code to retrieve data(stream) from database. Depends upon the database 
            //Retrive dockState from DB 
            String val = "";
            byte[] bytes = System.Text.Encoding.ASCII.GetBytes(val);
            MemoryStream ms = new MemoryStream(bytes);
            ms.Position = 0;
            AppStateSerializer aser = new AppStateSerializer(SerializeMode.BinaryFmtStream, ms);
            this.dockingManager1.LoadDockState(aser);
            MessageBox.Show("Loaded from DB");

        }
    }
}