Imports Syncfusion.Runtime.Serialization
Imports Syncfusion.Windows.Forms.Tools
Imports System.IO


Public Class Form1
    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()
        AppStateSerializer.InitializeSingleton(SerializeMode.XMLFile, "Dock1")

        ' Add any initialization after the InitializeComponent() call.

    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.DockingManager1.DockControl(Panel1, Me, DockingStyle.Top, 200)
        Me.DockingManager1.DockControl(Panel2, Me.Panel1, DockingStyle.Tabbed, 200)
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        'Saving dockstate to memory stream  
        Dim ms As MemoryStream = New MemoryStream()
        Dim aser As AppStateSerializer = New AppStateSerializer(SerializeMode.BinaryFmtStream, ms)
        Me.DockingManager1.SaveDockState(aser)
        aser.PersistNow()
        'Code to store the memory stream into database.Depends upon the database 
        MessageBox.Show("Saved in DB")
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        'Code to retrieve data(stream) from database.Depends upon the database 
        'Retrive dockState from DB 
        Dim val As String = ""
        Dim bytes As Byte() = System.Text.Encoding.ASCII.GetBytes(val)
        Dim ms As MemoryStream = New MemoryStream(bytes)
        ms.Position = 0
        Dim aser As AppStateSerializer = New AppStateSerializer(SerializeMode.BinaryFmtStream, ms)
        Me.DockingManager1.LoadDockState(aser)
        MessageBox.Show("Loaded from DB")
    End Sub
End Class
